{
  description = "haskell-pgmq flake";

  inputs = {
    flake-utils.url = "github:numtide/flake-utils";
    nixpkgs.url = "github:nixos/nixpkgs?ref=24.05";
  };

  outputs = { self, nixpkgs, flake-utils }:
    flake-utils.lib.eachDefaultSystem (system:
      let pkgs = import nixpkgs {
            inherit system;
          };
          packages = with pkgs; [
            postgresql.lib
          ];
      in
      {
        packages = {
          default = packages;
        };
        devShells.default = pkgs.mkShell {
          buildInputs = packages;
        };
      }
    );
}
