module Main where

import Test.Integration.PGMQ.Helpers (pgmqHelpersTests)
import Test.Integration.PGMQ.Simple (pgmqSimpleTests)
import Test.Tasty
import Test.Tasty.Hspec



main :: IO ()
main = do
  pgmqHelpersSpec <- testSpec "pgmqHelpersTests" pgmqHelpersTests
  pgmqSimpleSpec <- testSpec "pgmqSimpleTests" pgmqSimpleTests

  defaultMain $ testGroup "integration tests"
    [
      pgmqSimpleSpec
    , pgmqHelpersSpec
    ]

